import org.xmldb.api.base.*;
import org.xmldb.api.modules.*;
import org.xmldb.api.*;

import org.tmapi.core.*;

import org.tmapi.core.*;

import org.xtm4xmldb.xtm4xmldb_Parser;

public class exampleServer { 

    
    public static void main(String[] args) throws Exception {
        System.setProperty("org.tmapi.core.TopicMapSystemFactory","org.xtm4xmldb.core.xtm4xmldb_TopicMapSystemFactory");      
        //use TopicMapSystemFactory
        TopicMapSystemFactory   tSystemFactory  =   TopicMapSystemFactory.newInstance();
        
        tSystemFactory.setProperty("org.xmldb.api.base.Database", "org.exist.xmldb.DatabaseImpl");
        tSystemFactory.setProperty("org.xtm4xmldb.xmldbURI", "exist://localhost:8080/exist/xmlrpc/db/");
        tSystemFactory.setProperty("org.xtm4xmldb.startCol", "xtm4xmldb");
        tSystemFactory.setProperty("org.xtm4xmldb.username", "admin");
        tSystemFactory.setProperty("org.xtm4xmldb.password", "");         
        //create new TopicMap System
        TopicMapSystem tSystem =    tSystemFactory.newTopicMapSystem();
        
        TopicMap tm1 = tSystem.createTopicMap("test");
        Topic t1 = tm1.createTopic();
        t1.createTopicName("topic1",null);
        Topic t2 = tm1.createTopic();
        t2.createTopicName("topic2",null);
        Topic t3 = tm1.createTopic();
        t2.createOccurrence("testvalue",t3, null);
        
        Association a = tm1.createAssociation(); 
        a.createAssociationRole(t1, t3); 
        a.createAssociationRole(t2, t3); 
                
        //test merging
       // t3.addSubjectLocator(tm1.createLocator("testlocator"));
       // Topic t4 = tm1.createTopic();
       // t4.addSubjectLocator(tm1.createLocator("testlocator"));
    
        //parse TopicMap
        xtm4xmldb_Parser p = new xtm4xmldb_Parser(tSystem);
        p.parse(new java.io.FileInputStream(args[0]));
    }    

}
