package org.xtm4xmldb.core.test;

import org.xmldb.api.base.*;
import org.xmldb.api.modules.*;
import org.xmldb.api.*;

import org.tmapi.core.*;

import org.xtm4xmldb.*;
import org.xtm4xmldb.utils.*;

import org.tmapi.core.*;
import junit.framework.*;
import org.xtm4xmldb.*;
public class AllTests extends TestCase{
    public AllTests(String name) {
        super(name);
    }  
    
    public static void main(String[] args) {
        System.setProperty("org.tmapi.core.TopicMapSystemFactory","org.xtm4xmldb.core.xtm4xmldb_TopicMapSystemFactory");
        System.setProperty("org.xmldb.api.base.Database", "org.exist.xmldb.DatabaseImpl");
        System.setProperty("org.xtm4xmldb.xmldbURI", "exist:///db");
        System.setProperty("org.xtm4xmldb.startCol", "xtm4xmldb_test");
        System.setProperty("org.xtm4xmldb.username", "admin");
        System.setProperty("org.xtm4xmldb.password", "");
        System.setProperty("exist.initdb", "true"); //now it creates databases
        System.setProperty("exist.home", "/home/xtmcms/projects/xtm4xmldb");
         
        String[] testCaseName = { AllTests.class.getName() };
        junit.swingui.TestRunner.main(testCaseName);
    }    
  
    public static Test suite() {
        TestSuite suite = new TestSuite();
        suite.addTest(org.tmapi.core.test.AllTMAPITests.suite());
//        suite.addTest(org.tmapi.index.core.test.AllTMAPIIndexTests.suite());
        //suite.addTestSuite(ParseTest.class);
        return suite;
    }

}
