package org.xtm4xmldb.index.core;

import org.xtm4xmldb.core.*;

import org.tmapi.index.core.AssociationsIndex;
import org.tmapi.core.*;
public class xmldb_AssociationsIndex implements AssociationsIndex {
    private xtm4xmldb_TopicMap tm;
    private org.tmapi.index.IndexFlags iF;
    public void configure(TopicMap tm){
        this.tm=(xtm4xmldb_TopicMap)tm;
        this.iF =   new org.xtm4xmldb.index.AutoUpdatedIndexFlags();
    }
    
    public void close() throws org.tmapi.index.TMAPIIndexException {
    }
    
    public java.util.Collection getAssociationTypes() {
        return null;
    }
    
    public java.util.Collection getAssociationsByType(org.tmapi.core.Topic type) {
        try{
	java.util.Set   assocs  =   new org.xtm4xmldb.utils.xmldb_XPathAssociationSet("/association[instanceOf/topicRef/@xlink:href='#"+type.getObjectId()+"']", tm );
        return(assocs);        
        }catch(org.xmldb.api.base.XMLDBException e){
            e.printStackTrace();
            return(new org.xtm4xmldb.utils.emptySet());
        }
    }
    
    public org.tmapi.index.IndexFlags getFlags() throws org.tmapi.index.TMAPIIndexException {
        return this.iF;
    }
    
    public boolean isOpen() throws org.tmapi.index.TMAPIIndexException {
        return true;
    }
    
    public void open() throws org.tmapi.index.TMAPIIndexException {
    }
    
    public void reindex() throws org.tmapi.index.TMAPIIndexException {
    }
    
}
