package org.xtm4xmldb.index.core;

import org.xtm4xmldb.core.*;
import org.xtm4xmldb.utils.*;

import org.tmapi.core.*;

public class xmldb_OccurrencesIndex implements org.tmapi.index.core.OccurrencesIndex {
    private xtm4xmldb_TopicMap tm;  
    private org.tmapi.index.IndexFlags iF;
    
    public void configure(TopicMap tm){ 
        this.tm=(xtm4xmldb_TopicMap)tm;
        this.iF=new org.xtm4xmldb.index.AutoUpdatedIndexFlags();
    } 
    
  public void reindex() throws org.tmapi.index.TMAPIIndexException {
    }
    public void close() throws org.tmapi.index.TMAPIIndexException {
    }
    
    public org.tmapi.index.IndexFlags getFlags() throws org.tmapi.index.TMAPIIndexException {
        return(this.iF);
    }   
    public boolean isOpen() throws org.tmapi.index.TMAPIIndexException {
        return(true);
    }    
    
    public java.util.Collection getTopicTypes() {
        return(new org.xtm4xmldb.utils.emptySet());
    }
    
  
    
    public void open() throws org.tmapi.index.TMAPIIndexException {        
    }
    public java.util.Collection getOccurrenceTypes() {
                return new emptySet();
    }
    
    public java.util.Collection getOccurrencesByValue(String data) {
            java.util.HashSet hs = new java.util.HashSet();    
            try{
        
            java.util.Set   topics  =   new org.xtm4xmldb.utils.xmldb_XPathTopicSet("/topic[occurrence/resourceData='"+data+"']", this.tm );
            java.util.Iterator itt  = topics.iterator();
            while(itt.hasNext()){
                xtm4xmldb_Topic t = (xtm4xmldb_Topic)itt.next();
           //     System.out.println("XPathTopicSet: found "+t.getObjectId());
                java.util.Iterator itoc = t.getOccurrences().iterator();
                while(itoc.hasNext()){
                    org.tmapi.core.Occurrence oc = (org.tmapi.core.Occurrence)itoc.next();
             //           System.out.println("XPathTopicSet: Occurrence "+oc.getValue());                        
                    if((oc.getValue()!=null)&&(oc.getValue().equals(data)==true)){
               //         System.out.println("XPathTopicSet: Occurrence "+oc.getValue());                        
                        hs.add(oc);
                    }
                }
            }

        }catch(org.xmldb.api.base.XMLDBException e){
            e.printStackTrace();
        }     
            return hs;                     
    }
    
    public java.util.Collection getOccurrencesByResource(org.tmapi.core.Locator loc) {
                return new emptySet();
    }
    
    public java.util.Collection getOccurrencesByType(org.tmapi.core.Topic type) {
                return new emptySet();
    }
    
}
