/*
This is XTM4XMLDB, a TMAPI implementation for native XMLdb's
Copyright (C) 2003  Stefan Lischke

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

Stefan Lischke, hereby disclaims all copyright interest in
the library 'XTM4XMLDB' (a TMAPI implementation).

Stefan Lischke (lischke@novacom.net)
*/
package org.xtm4xmldb.utils;

import java.util.Iterator;
import org.xmldb.api.base.*;
import org.xtm4xmldb.core.*;


public class xmldb_XPathRolePlayedIterator implements Iterator {
    private ResourceIterator  rit;
    private xtm4xmldb_TopicMap    tmap;
    private String  id;
    public xmldb_XPathRolePlayedIterator(ResourceIterator rit, xtm4xmldb_TopicMap tmap,String id){        
        this.rit        =   rit;        
        this.tmap       =   tmap;
        this.id         =   id;
    }
    
    public Object next() {
        xtm4xmldb_Association assoc    =   null;
        try{
            //get Topic
            Resource    res = this.rit.nextResource();
            assoc   =   new xtm4xmldb_Association(this.tmap,res);
//TODO            return(assoc.getAssociationRoleByTopicRef(this.id)); 
            return null;
        }catch(Exception e){
            e.printStackTrace();
        }
        return(assoc);
    }    
    
    public boolean hasNext() {
        boolean b   =   false;
        try{
            b   =   this.rit.hasMoreResources();
        }catch(XMLDBException e){
            e.printStackTrace();
        }
        return(b);
    }        
    
    public void remove() {
    }
    
}
